using CoreLibrary;
using Xunit;

namespace UnitTesting
{
    public class JoueurUT
    {
        [Fact]
        public void TestConstructorWithValidArguments()
        {
            Plateau plateau = new Plateau(4, 10);
            Joueur joueur = new Joueur("MonJoueur", plateau);

            Assert.Equal("MonJoueur", joueur.Nom);
            Assert.Equal(plateau, joueur.Plateau);
        }
    }
}
